Module java.desktop
Package javax.swing.plaf.basic

# Class BasicComboPopup.InvocationKeyHandler

java.lang.Object
java.awt.event.KeyAdapter
javax.swing.plaf.basic.BasicComboPopup.InvocationKeyHandler

All Implemented Interfaces:
  `KeyListener`, `EventListener`

Enclosing class:
  `BasicComboPopup`

public class BasicComboPopup.InvocationKeyHandler extends KeyAdapter
As of Java 2 platform v 1.4, this class is now obsolete and is only included for backwards API compatibility. Do not instantiate or subclass.

All the functionality of this class has been included in BasicComboBoxUI ActionMap/InputMap methods.

## Constructor Summary

Constructors
Constructor
Description
`InvocationKeyHandler()`
Constructs an `InvocationKeyHandler`.

## Method Summary

### Methods declared in class java.awt.event.KeyAdapter

`keyPressed, keyReleased, keyTyped`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InvocationKeyHandler

public InvocationKeyHandler()
Constructs an `InvocationKeyHandler`.